sametime ok sametime error why?

Discussion in 'AutoCAD' started by nalsur8, Dec 30, 2003.

  1. nalsur8

    nalsur8 Guest

    sametime this routine work sametime error
    what happen???

    ;;/////////////////////
    (defun dtr (a)
    (* pi (/ a 180.0)))
    (defun c:tap ()
    (setq ccol (getvar "cecolor"))
    (setvar "cecolor" "192")
    (setq id 3.30)
    (setq anglg 2.0)
    (setq pt 1)
    (while (/= pt nil)
    (setq pt (getpoint "\rInsert point :"))
    (if (/= pt nil)
    (progn
    (command "circle" pt "d" id)
    (setq 1angpt (polar pt (dtr 90.0) anglg))
    (command "arc" "c" pt 1angpt "a" 270.0)
    )
    )
    );while
    (setvar "cecolor" ccol)
    (princ)
    )
     
    nalsur8, Dec 30, 2003
    #1
  2. Running OSnaps are likely the problem (although you don't tell us *what* the
    error is, so we are guessing).

    Revised:

    (command "._circle" "_non" pt "_d" id)
    (setq 1angpt (polar pt (dtr 90.0) anglg))
    (command "._arc" "_c" "_non" pt "_non" 1angpt "_a" 270.0)


    --
    R. Robert Bell, MCSE
    www.AcadX.com


    | sametime this routine work sametime error
    | what happen???
    |
    | ;;/////////////////////
    | (defun dtr (a)
    | (* pi (/ a 180.0)))
    | (defun c:tap ()
    | (setq ccol (getvar "cecolor"))
    | (setvar "cecolor" "192")
    | (setq id 3.30)
    | (setq anglg 2.0)
    | (setq pt 1)
    | (while (/= pt nil)
    | (setq pt (getpoint "\rInsert point :"))
    | (if (/= pt nil)
    | (progn
    | (command "circle" pt "d" id)
    | (setq 1angpt (polar pt (dtr 90.0) anglg))
    | (command "arc" "c" pt 1angpt "a" 270.0)
    | )
    | )
    | );while
    | (setvar "cecolor" ccol)
    | (princ)
    | )
    |
    | --
    | Design/Engineering Dept.
    |
    |
     
    R. Robert Bell, Dec 30, 2003
    #2
  3. Hi,

    Probably Win 98. You are trying to run your software on an unsupported
    operating system.

    --


    Laurie Comerford
    CADApps
    www.cadapps.com.au
     
    Laurie Comerford, Dec 31, 2003
    #3
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.